Bug 1085352 - Review Request: mingw-opusfile - A high-level API for decoding and seeking within .opus files
Summary: Review Request: mingw-opusfile - A high-level API for decoding and seeking wi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-08 12:38 UTC by David King
Modified: 2014-05-06 03:36 UTC (History)
3 users (show)

Fixed In Version: mingw-opusfile-0.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-06 03:36:18 UTC
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David King 2014-04-08 12:38:27 UTC
Spec URL: http://amigadave.fedorapeople.org/mingw-opusfile.spec
SRPM URL: http://amigadave.fedorapeople.org/mingw-opusfile-0.5-1.fc20.src.rpm
Description: libopusfile provides a high-level API for decoding and seeking
within .opus files. It includes:
* Support for all files with at least one Opus stream (including
multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API (allowing chained files to be
decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S)
(including seeking).
* Support for both random access and streaming data sources.
Fedora Account System Username: amigadave

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6717893

I have tested the resulting build with EasyTAG built for MinGW, and it builds and runs fine.

Comment 1 Jerry James 2014-04-24 14:13:51 UTC
I will take this review.  Sorry to take so long, David.  I've never done a mingw review before, so I had to read up on the packaging guidelines.  I'll have the review ready shortly.

Comment 2 Jerry James 2014-04-24 14:39:42 UTC
If I am reading the mingw packaging guidelines correctly, then there are no issues with this package.  In particular, all of the rpmlint warnings are expected and normal for a mingw package.  The package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-opusfile-0.5-1.fc21.noarch.rpm
          mingw64-opusfile-0.5-1.fc21.noarch.rpm
          mingw-opusfile-0.5-1.fc21.src.rpm
mingw32-opusfile.noarch: W: spelling-error %description -l en_US libopusfile -> filibuster
mingw32-opusfile.noarch: W: spelling-error %description -l en_US multichannel -> multiplicand
mingw32-opusfile.noarch: W: spelling-error %description -l en_US muxed -> mixed, mused, maxed
mingw32-opusfile.noarch: W: spelling-error %description -l en_US downmixing -> down mixing, down-mixing, downsizing
mingw32-opusfile.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libopusfile.dll.a
mingw32-opusfile.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libopusurl.dll.a
mingw32-opusfile.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libopusfile.dll.a
mingw32-opusfile.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libopusfile.dll.a
mingw32-opusfile.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/opusurl.pc
mingw32-opusfile.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/opus/opusfile.h
mingw32-opusfile.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/opusfile.pc
mingw32-opusfile.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libopusurl.dll.a
mingw32-opusfile.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libopusurl.dll.a
mingw32-opusfile.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-opusfile.noarch: W: spelling-error %description -l en_US libopusfile -> filibuster
mingw64-opusfile.noarch: W: spelling-error %description -l en_US multichannel -> multiplicand
mingw64-opusfile.noarch: W: spelling-error %description -l en_US muxed -> mixed, mused, maxed
mingw64-opusfile.noarch: W: spelling-error %description -l en_US downmixing -> down mixing, down-mixing, downsizing
mingw64-opusfile.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libopusurl.dll.a
mingw64-opusfile.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libopusfile.dll.a
mingw64-opusfile.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/opusurl.pc
mingw64-opusfile.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libopusurl.dll.a
mingw64-opusfile.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libopusurl.dll.a
mingw64-opusfile.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/opusfile.pc
mingw64-opusfile.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/opus/opusfile.h
mingw64-opusfile.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libopusfile.dll.a
mingw64-opusfile.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libopusfile.dll.a
mingw64-opusfile.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw-opusfile.src: W: spelling-error %description -l en_US libopusfile -> filibuster
mingw-opusfile.src: W: spelling-error %description -l en_US multichannel -> multiplicand
mingw-opusfile.src: W: spelling-error %description -l en_US muxed -> mixed, mused, maxed
mingw-opusfile.src: W: spelling-error %description -l en_US downmixing -> down mixing, down-mixing, downsizing
3 packages and 0 specfiles checked; 4 errors, 28 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mingw32-opusfile mingw64-opusfile
mingw32-opusfile.noarch: W: spelling-error %description -l en_US libopusfile -> filibuster
mingw32-opusfile.noarch: W: spelling-error %description -l en_US multichannel -> multiplicand
mingw32-opusfile.noarch: W: spelling-error %description -l en_US muxed -> mixed, mused, maxed
mingw32-opusfile.noarch: W: spelling-error %description -l en_US downmixing -> down mixing, down-mixing, downsizing
mingw64-opusfile.noarch: W: spelling-error %description -l en_US libopusfile -> filibuster
mingw64-opusfile.noarch: W: spelling-error %description -l en_US multichannel -> multiplicand
mingw64-opusfile.noarch: W: spelling-error %description -l en_US muxed -> mixed, mused, maxed
mingw64-opusfile.noarch: W: spelling-error %description -l en_US downmixing -> down mixing, down-mixing, downsizing
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
mingw32-opusfile (rpmlib, GLIBC filtered):
    mingw32(crypt32.dll)
    mingw32(kernel32.dll)
    mingw32(libcrypto-10.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(libogg-0.dll)
    mingw32(libopus-0.dll)
    mingw32(libopusfile-0.dll)
    mingw32(libssl-10.dll)
    mingw32(msvcrt.dll)
    mingw32(ws2_32.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw64-opusfile (rpmlib, GLIBC filtered):
    mingw64(crypt32.dll)
    mingw64(kernel32.dll)
    mingw64(libcrypto-10.dll)
    mingw64(libogg-0.dll)
    mingw64(libopus-0.dll)
    mingw64(libopusfile-0.dll)
    mingw64(libssl-10.dll)
    mingw64(msvcrt.dll)
    mingw64(ws2_32.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config



Provides
--------
mingw32-opusfile:
    mingw32(libopusfile-0.dll)
    mingw32(libopusurl-0.dll)
    mingw32-opusfile

mingw64-opusfile:
    mingw64(libopusfile-0.dll)
    mingw64(libopusurl-0.dll)
    mingw64-opusfile



Source checksums
----------------
http://downloads.xiph.org/releases/opus/opusfile-0.5.tar.gz :
  CHECKSUM(SHA256) this package     : 2ce52d006aeeec9f10260dbe3073c4636954a1ab19c82b8baafefe0180aa4a39
  CHECKSUM(SHA256) upstream package : 2ce52d006aeeec9f10260dbe3073c4636954a1ab19c82b8baafefe0180aa4a39


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1085352 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 David King 2014-04-24 14:43:22 UTC
Thanks for the review Jerry!

Comment 4 David King 2014-04-24 14:44:38 UTC
New Package SCM Request
=======================
Package Name: mingw-opusfile
Short Description: A high-level API for decoding and seeking within .opus files
Owners: amigadave
Branches: f20
InitialCC:

Comment 5 Michael Cronenworth 2014-04-24 14:55:52 UTC
One minor issue I see: %{mingw{32,64}_includedir}/opus is an unowned directory. Can you fix this before you commit? You can change %{mingw32_includedir}/opus/opus* to %{mingw32_includedir}/opus. It looks like the native package makes the same mistake.

Comment 6 David King 2014-04-24 15:00:34 UTC
I do not think that unowned directory is not a mistake; it is owned by the "mingw-opus" (or "opus" for the native version) package.

Comment 7 Jerry James 2014-04-24 15:07:50 UTC
Yes, that's right.  The directory is not really unowned, since a dependency owns it.

Comment 8 Michael Cronenworth 2014-04-24 15:13:30 UTC
Yes, sorry for the noise. (this is opus*file* not opus)

Comment 9 Gwyn Ciesla 2014-04-24 17:38:27 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-04-24 18:08:52 UTC
mingw-opusfile-0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-opusfile-0.5-1.fc20

Comment 11 Fedora Update System 2014-04-26 09:21:27 UTC
mingw-opusfile-0.5-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2014-05-06 03:36:18 UTC
mingw-opusfile-0.5-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.